#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 37. LXQt Desktop

- Prev

  kwayland-5.115.0 for lxqt

- Next

  solid-5.115.0 for lxqt

- Up
- Home

# kconfig-5.115.0 for lxqt

## Introduction to kconfig

The kconfig package provides access to configuration files.

This package is known to build and work properly using an LFS 12.1 platform.

### Important

This package is extracted from the KF5 set of packages. If KDE Frameworks-5.115.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/5.115/kconfig-5.115.0.tar.xz

- Download MD5 sum: fcb77cb2d9349b33e9e085ca4d2ebe7f

- Download size: 288 KB

- Estimated disk space required: 20 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### kconfig Dependencies

#### Required

extra-cmake-modules-5.115.0 and (Qt-5.15.12 or qt-alternate-5.15.12)

## Installation of kconfig

Install kconfig by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr        \
          -DCMAKE_BUILD_TYPE=Release         \
          -DCMAKE_INSTALL_LIBEXECDIR=libexec \
          -DKDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -DBUILD_TESTING=OFF                \
          -Wno-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_INSTALL_LIBEXECDIR=libexec`: This overrides the default in extra-cmake-modules, which is `/usr/lib/libexec` and is not FHS compliant.

`-DKDE_INSTALL_USE_QT_SYS_PATHS=ON`: This forces installation of Qt plugins in the same directory as Qt-5.15.12 itself. Otherwise they get installed into `/usr/mkspecs`, which is not FHS compliant.

## Contents

Installed Programs: kreadconfig5 and kwriteconfig5
Installed Library: libKF5ConfigCore.so, libKF5ConfigGui.so, and libKF5ConfigQml.so
Installed Directories: /usr/lib/cmake/KF5Config and /usr/include/KF5/{KConfigCore,KConfig,KConfigQml,KConfigGui}

### Short Descriptions

kreadconfig5 | reads a configuration file using the KConfig interface
kwriteconfig5 | writes to a configuration file using the KConfig interface
`libKF5ConfigCore.so` | contains the core configuration library for KF5
`libKF5ConfigGui.so` | contains functions for a GUI for KConfig
`libKF5ConfigQml.so` | contains a QML interface to KConfig

- Prev

  kwayland-5.115.0 for lxqt

- Next

  solid-5.115.0 for lxqt

- Up
- Home